{
  "factory": {
    "id": "openapi-based-rest-service-public",
    "displayName": "REST :: OPENAPI :: PUBLIC",
    "type": "entaxy.runtime.service",
    "description": "Public openapi-based REST service. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/schema/Rest_services.html\">Entaxy docs</a>",
    "isAbstract": false,
    "parent": "openapi-based-rest-service",
    "label": "service,rest,openapi",
    "category": ""
  },
  "entaxy.runtime.service": {},
  "fields": {
    "operationRouter": {
      "defaultValue": {
        "@RESOURCE": {
          "location": {
            "@CALCULATED": {
              "expression": "${#OWNER#.properties._serviceMetadata.serviceResourcesRoot}/operationRouterPublic.xml"
            }
          }
        }
      },
      "@TYPEINFO": {
        "location": "${serviceResourcesRoot}/operationRouterPublic.xml"
      }
    }
  },
  "outputs": {
    "init": {
      "fields" : {
        "removeAllHeadersBeforeAnswering": {},
        "generateLoggingKey": {}
      }
    }
  }
}
